<template>
  <div>
    <div class="backStyle" v-if="route.query.jump === 'yes'" @click="goToStatus" />
    <div class="segment-content">
      <div class="custom-style flex gap-4">
        <el-segmented v-model="mode" :options="sizeOptions" style="margin-bottom: 1rem" size="default" />
        <el-button type="primary" @click="handleExport">导出</el-button>
      </div>
    </div>
    <!-- 综合数据页面组件 -->
    <!-- <allDataTab v-if="mode === '综合数据'">
		</allDataTab> -->
    <!-- DSN数据页面组件 -->
    <dsnDataTab v-if="mode === 'DSN数据'"></dsnDataTab>
    <!-- ITU数据页面组件 -->
    <ituDataTab v-if="mode === 'ITU数据'"></ituDataTab>
    <!-- ST数据页面组件 -->
    <stDataTab v-if="mode === 'ST数据'"></stDataTab>
    <!-- ESA数据页面组件 -->
    <esDataTab v-if="mode === 'ESA数据'"></esDataTab>
    <exportDialog v-model:dialogVisible="showDeleteDialog" @confirm="handleExportConfirm" />
  </div>
</template>

<script setup lang="ts">
import { ref, onMounted } from "vue";
import { useRoute } from "vue-router";
import { useRouter } from "vue-router";
import allDataTab from "./components/allDataTab.vue";
import ituDataTab from "./components/ituDataTab.vue";
import stDataTab from "./components/stDataTab.vue";
import dsnDataTab from "./components/dsnData/dsnTab.vue";
import esDataTab from "./components/esDataTab.vue";
import exportDialog from "@/components/Export/index.vue";
import { genFileId } from "element-plus";
import type { UploadInstance, UploadProps, UploadRawFile } from "element-plus";

const mode = ref("DSN数据");
const showDeleteDialog = ref(false);
const sizeOptions = ["DSN数据", "ITU数据", "ST数据", "ESA数据"];
const route = useRoute();
const router = useRouter();
const modeValue = ref<any>("数据展示");
const upload = ref<UploadInstance>();

const handleExceed: UploadProps["onExceed"] = (files) => {
  upload.value!.clearFiles();
  const file = files[0] as UploadRawFile;
  file.uid = genFileId();
  upload.value!.handleStart(file);
};

const submitUpload = () => {
  upload.value!.submit();
};
const goToStatus = () => {
  router.push({
    path: "/osStatus/list",
  });
};
const handleExport = () => {
  showDeleteDialog.value = true;
};
const handleExportConfirm = () => {};
onMounted(() => {
  if (route.query.mode) {
    modeValue.value = route.query.mode;
    mode.value = modeValue.value;
  }
  console.log(mode.value);
});
</script>

<style scoped lang="scss">
.el-button:focus {
  outline: none;
}

/* 文字样式 */
.el-text {
  color: #ffffff;
}

.backStyle {
  background-image: url("@/assets/picture/back.png");
  background-size: 100% 100%;
  background-repeat: no-repeat;
  height: 5vh;
  width: 5%;
  display: flex;
  margin-left: 0.8%;
}

.segment-content {
  padding: 10px 10px 0 10px;
}
</style>
